﻿A collection of extensions for typical WPF scenarios, like Boxes, Value Converters, Template Selectors and other helpful extensions.

##### Commonly Used Types
- `Boxes`

##### Converters
- `ValueConverter<TSource>`
- `ValueConverter<TSource, TTarget>`
- `BoolToVisibilityConverter`
- `IntToStringConverter`
- `StringIsNullOrEmptyConverter`
- and various other converters

##### Template selectors
- `DefaultDataTemplateSelector`
- `NullTemplateSelector`
- and various other template selectors

##### Extensions
- `DataGridColumnExtensions`
- `DataGridExtensions`
- `FrameworkElementExtensions`
- `InputElementExtensions`
- `ItemsControlExtensions`
- `ListBoxExtensions`
- `RichTextBoxExtensions`
- `ToolTipExtensions`
- and various other extensions